> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sales Order Execution Log

> Records the execution of an organization-local trading-plan sale and its settlement evidence against the existing approved tax decision.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-sales-order-execution-log
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-sales-order-execution-log:
    post:
      operationId: updateSalesOrderExecutionLog
      summary: Update Sales Order Execution Log
      description: >-
        Records the execution of an organization-local trading-plan sale and its
        settlement evidence against the existing approved tax decision.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSalesOrderExecutionLogRequest'
      responses:
        '204':
          description: No content
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateSalesOrderExecutionLogRequest:
      type: object
      properties:
        scheduleID:
          type: string
        executionDate:
          type: string
        salePrice:
          type: string
        tokensWithheld:
          type: string
      required:
        - scheduleID
        - executionDate
        - salePrice
        - tokensWithheld
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
